Subject: Re: [dns-dir] draft-liman-tld-names-00

From: Tina Dam <[email-masked]>
Date: Mon, 14 Sep 2009 09:57:07 -0700

Peter, all, I believe the draft has now expired. This is generating some concerns about timing for IDN TLDs in the root vs the revision of RFC1123. I personally believe we have time to get this moving forward, but please note that the IDN ccTLD Fast Track Process is scheduled for Board consideration at the Korea meeting (26-30 October 09). A positive Board consideration would mean an almost immediate launch of the process. Several countries have indicated that they will be sending in applications and are ready to launch, right away.

I am not stating this to force the revision forward in an inappropriate way. But based on the previous discussions on the subject it looks feasible to propose a revision that is not inappropriate or forced in time.

I personally do not know the IETF process well enough (yet :) ) to know how to make this discussion continue (i.e. updating the draft or other). Is this the authors job or can it be done by others? In other words if someone can point me to what needs to be done then I am happy to help, either personally, or by finding some adequate resources.

Tina

> -----Original Message-----
> From: Peter Koch [mailto:[email-masked]] On Behalf Of Peter Koch
> Sent: Sunday, August 30, 2009 1:00 PM
> To: IETF DNS Directorate
> Cc: Tina Dam
> Subject: Re: [dns-dir] draft-liman-tld-names-00
> 
> On Fri, Aug 28, 2009 at 10:13:51PM +0200, Lars-Johan Liman wrote:
> > [email-masked]:
> > > All, just catching up on this note. A few comments:
> >
> > > 1) I agree that we should do this as minimal as possible, and goal
> is
> > > to allow A-label TLDs.
> >
> > At least that is the short term goal.
> 
> Not sure we should actually be so narrowly focussed since it looks like
> "lip service" on a protocol level.  From an IETF point of view I'd say
> we somehow found that the phrase "will be alphabetic" appears to be
> ambiguous to say the least. It is unclear whetehr it's normative and
> when
> it's normative whether that's a protocol or a policy statement.  For
> confusability in the context of that same paragraph, "will not be
> digit-only" would be fine (and maintain the ambiguity, but that's a
> different issue).  It is this and the extreme positioning of "-" that
> we
> should be concerned about here. ``xn--'' (and inner dashes)  would
> return
> into protocol boundaries as a side effect.
> 
> > > 2) on the digit concern, I previously agreed with the authors that
> > > this did not belong in the RFC but instead should be controlled by
> > > ICANN. Currently ICANN does not allow leading or trailing digits in
> > > TLDs. It does not really matter to me where that rule sits, as long
> as
> > > it is observed. The reason for the ICANN requirement was not "just"
> > > the confusability with octets or numeric addresses but also due to
> the
> > > results we see with leading trailing digits in a right-to-left
> > > environment. Because this is a new area it was thought that we
> better
> > > be conservative and restrict it completely.
> >
> > That is indeed a valid remark, IMO. This should be documented in the
> > draft, and that makes the motivation for such a rule even stronger.
> 
> IMHO we (==IETF) should constrain ourselves to solve an observed
> ambiguity.  ICANN is to set the policy and if there are valid reasons
> for restrictions, they don't completely have to originate from IETF
> documents.  If there are special conceerns with digits in IDN TLDs,
> that's something hopefully covered in operational connsiderations in
> IDN documents, at least it is different from the 1123 amendment.
> 
> > > Also, please let me know what I can help with to get this
> finalized. I
> > > do believe it is necessary in order for ICANN not to be in
> violation
> > > of the RFC when launching IDN TLDs.
> >
> > I still haven't heard any voices from the DNSOP chairs. I suppose
> they
> > are busy building a solid case defending how to make this document
> > _not_ end up on their table ... (Hi, Peter and Rob! ;-).
> 
> First, given the sensitivity of the topic, I don't think an individual
> submission sets the right signal.  I know that some core IETF protocols
> have been worked on this way recently, but it's my firm belief this is
> a step in the wrong direction.  Open discussion is key here and for
> BCP or STD track, there'd be an main IETF list debac^Hte anyway.
> I'm happy to have the discussion continue on dnsop.
> 
> FWIW, the draft is about to expire in a few days.
> 
> Best regards,
>    Peter